<ui version="4.0" >
 <author></author>
 <comment></comment>
 <exportmacro></exportmacro>
 <class>K3SpellUI</class>
 <widget class="QWidget" name="K3SpellUI" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>382</width>
    <height>280</height>
   </rect>
  </property>
  <property name="sizePolicy" >
   <sizepolicy>
    <hsizetype>5</hsizetype>
    <vsizetype>5</vsizetype>
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
  <layout class="QGridLayout" >
   <property name="margin" >
    <number>0</number>
   </property>
   <property name="spacing" >
    <number>6</number>
   </property>
   <item row="1" column="0" colspan="2" >
    <widget class="QLabel" name="textLabel2" >
     <property name="whatsThis" >
      <string>&lt;qt>&lt;p>This word was considered to be an "unknown word" because it does not match any entry in the dictionary currently in use. It may also be a word in a foreign language.&lt;/p>
&lt;p>If the word is not misspelled, you may add it to the dictionary by clicking &lt;b>Add to Dictionary&lt;/b>. If you don't want to add the unknown word to the dictionary, but you want to leave it unchanged, click &lt;b>Ignore&lt;/b> or &lt;b>Ignore All&lt;/b>.&lt;/p>
&lt;p>However, if the word is misspelled, you can try to find the correct replacement in the list below. If you cannot find a replacement there, you may type it in the text box below, and click &lt;b>Replace&lt;/b> or &lt;b>Replace All&lt;/b>.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>Unknown word:</string>
     </property>
    </widget>
   </item>
   <item row="1" column="2" >
    <widget class="QLabel" name="m_unknownWord" >
     <property name="toolTip" >
      <string>Unknown word</string>
     </property>
     <property name="whatsThis" >
      <string>&lt;qt>&lt;p>This word was considered to be an "unknown word" because it does not match any entry in the dictionary currently in use. It may also be a word in a foreign language.&lt;/p>
&lt;p>If the word is not misspelled, you may add it to the dictionary by clicking &lt;b>Add to Dictionary&lt;/b>. If you don't want to add the unknown word to the dictionary, but you want to leave it unchanged, click &lt;b>Ignore&lt;/b> or &lt;b>Ignore All&lt;/b>.&lt;/p>
&lt;p>However, if the word is misspelled, you can try to find the correct replacement in the list below. If you cannot find a replacement there, you may type it in the text box below, and click &lt;b>Replace&lt;/b> or &lt;b>Replace All&lt;/b>.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>&lt;b>misspelled&lt;/b></string>
     </property>
    </widget>
   </item>
   <item row="8" column="0" >
    <widget class="QLabel" name="textLabel5" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Select the language of the document you are proofing here.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>&amp;Language:</string>
     </property>
     <property name="buddy" >
      <cstring>m_language</cstring>
     </property>
    </widget>
   </item>
   <item row="0" column="0" colspan="6" >
    <widget class="QLabel" name="m_contextLabel" >
     <property name="toolTip" >
      <string>Text excerpt showing the unknown word in its context.</string>
     </property>
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Here you can see a text excerpt showing the unknown word in its context. If this information is not sufficient to choose the best replacement for the unknown word, you can click on the document you are proofing, read a larger part of the text and then return here to continue proofing.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="frameShape" >
      <enum>QFrame::Box</enum>
     </property>
     <property name="text" >
      <string>... the &lt;b>misspelled&lt;/b> word shown in context ...</string>
     </property>
     <property name="alignment" >
      <set>Qt::AlignCenter</set>
     </property>
    </widget>
   </item>
   <item row="1" column="4" colspan="2" >
    <widget class="QPushButton" name="m_addBtn" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>The unknown word was detected and considered unknown because it is not included in the dictionary.&lt;br>
Click here if you consider that the unknown word is not misspelled and you want to avoid wrongly detecting it again in the future. If you want to let it remain as is, but not add it to the dictionary, then click &lt;b>Ignore&lt;/b> or &lt;b>Ignore All&lt;/b> instead.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>&lt;&lt; Add to Dictionary</string>
     </property>
    </widget>
   </item>
   <item row="1" column="3" >
    <spacer>
     <property name="orientation" >
      <enum>Qt::Horizontal</enum>
     </property>
     <property name="sizeType" >
      <enum>QSizePolicy::Expanding</enum>
     </property>
     <property name="sizeHint" >
      <size>
       <width>21</width>
       <height>20</height>
      </size>
     </property>
    </spacer>
   </item>
   <item row="4" column="5" >
    <widget class="QPushButton" name="m_replaceAllBtn" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Click here to replace all occurrences of the unknown text with the text in the edit box above (to the left).&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>R&amp;eplace All</string>
     </property>
    </widget>
   </item>
   <item rowspan="5" row="3" column="0" colspan="5" >
    <widget class="Q3ListView" name="m_suggestions" >
     <property name="toolTip" >
      <string>Suggestion List</string>
     </property>
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>If the unknown word is misspelled, you should check if the correction for it is available and if it is, click on it. If none of the words in this list is a good replacement you may type the correct word in the edit box above.&lt;/p>
&lt;p>To correct this word click &lt;b>Replace&lt;/b> if you want to correct only this occurrence or &lt;b>Replace All&lt;/b> if you want to correct all occurrences.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="resizeMode" >
      <enum>Q3ListView::AllColumns</enum>
     </property>
     <column>
      <property name="text" >
       <string>Suggested Words</string>
      </property>
     </column>
    </widget>
   </item>
   <item row="3" column="5" >
    <widget class="QPushButton" name="m_replaceBtn" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Click here to replace this occurrence of the unknown text with the text in the edit box above (to the left).&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>&amp;Replace</string>
     </property>
    </widget>
   </item>
   <item row="2" column="0" colspan="2" >
    <widget class="QLabel" name="textLabel4" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>If the unknown word is misspelled, you should type the correction for your misspelled word here or select it from the list below.&lt;/p>
&lt;p>You can then click &lt;b>Replace&lt;/b> if you want to correct only this occurrence of the word or &lt;b>Replace All&lt;/b> if you want to correct all occurrences.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>Replace &amp;with:</string>
     </property>
     <property name="buddy" >
      <cstring>m_replacement</cstring>
     </property>
    </widget>
   </item>
   <item row="5" column="5" >
    <widget class="QPushButton" name="m_skipBtn" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Click here to let this occurrence of the unknown word remain as is.&lt;/p>
&lt;p>This action is useful when the word is a name, an acronym, a foreign word or any other unknown word that you want to use but not add to the dictionary.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>&amp;Ignore</string>
     </property>
    </widget>
   </item>
   <item row="6" column="5" >
    <widget class="QPushButton" name="m_skipAllBtn" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Click here to let all occurrences of the unknown word remain as they are.&lt;/p>
&lt;p>This action is useful when the word is a name, an acronym, a foreign word or any other unknown word that you want to use but not add to the dictionary.&lt;/p>
&lt;/qt></string>
     </property>
     <property name="text" >
      <string>I&amp;gnore All</string>
     </property>
    </widget>
   </item>
   <item row="2" column="2" colspan="3" >
    <widget class="KLineEdit" name="m_replacement" >
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>If the unknown word is misspelled, you should type the correction for your misspelled word here or select it from the list below.&lt;/p>
&lt;p>You can then click &lt;b>Replace&lt;/b> if you want to correct only this occurrence of the word or &lt;b>Replace All&lt;/b> if you want to correct all occurrences.&lt;/p>
&lt;/qt></string>
     </property>
    </widget>
   </item>
   <item row="2" column="5" >
    <widget class="QPushButton" name="m_suggestBtn" >
     <property name="text" >
      <string>S&amp;uggest</string>
     </property>
    </widget>
   </item>
   <item row="8" column="1" colspan="4" >
    <widget class="KComboBox" name="m_language" >
     <property name="toolTip" >
      <string>Language Selection</string>
     </property>
     <property name="whatsThis" >
      <string>&lt;qt>
&lt;p>Select the language of the document you are proofing here.&lt;/p>
&lt;/qt></string>
     </property>
    </widget>
   </item>
   <item rowspan="2" row="7" column="5" >
    <spacer>
     <property name="orientation" >
      <enum>Qt::Vertical</enum>
     </property>
     <property name="sizeType" >
      <enum>QSizePolicy::Expanding</enum>
     </property>
     <property name="sizeHint" >
      <size>
       <width>20</width>
       <height>40</height>
      </size>
     </property>
    </spacer>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="6" margin="11" />
 <pixmapfunction>qPixmapFromMimeSource</pixmapfunction>
 <customwidgets>
  <customwidget>
   <class>Q3ListView</class>
   <extends></extends>
   <header>q3listview.h</header>
   <container>0</container>
   <pixmap></pixmap>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>m_addBtn</tabstop>
  <tabstop>m_replacement</tabstop>
  <tabstop>m_suggestBtn</tabstop>
  <tabstop>m_replaceBtn</tabstop>
  <tabstop>m_replaceAllBtn</tabstop>
  <tabstop>m_skipBtn</tabstop>
  <tabstop>m_skipAllBtn</tabstop>
  <tabstop>m_suggestions</tabstop>
  <tabstop>m_language</tabstop>
 </tabstops>
 <resources/>
 <connections/>
</ui>
